Bug report #1782

unable to load a .png file

Added by lomco - about 10 years ago. Updated about 10 years ago.

Status:Closed
Priority:Low
Assignee:nobody -
Category:C++ Plugins
Affected QGIS version: Regression?:No
Operating System:Debian Easy fix?:No
Pull Request or Patch supplied: Resolution:fixed
Crashes QGIS or corrupts data: Copied to github as #:11842

Description

I am a new QGIS user and I'ld like to load a scanned map for geocoding.
The map is in a file on the desk top.
Launch QGIS
Click on icon add a raster layer
select the scanned .png map
error message as follows

"An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/labo/.qgis//python/plugins/valuetool/valuewidget.py", line 118, in printValue
layername=str(layer.name())
UnicodeEncodeError: 'ascii' codec can't encode character u'\\xe9' in position 25: ordinal not in range(128)

Python version:
2.6.2 (release26-maint, Apr 19 2009, 02:11:59)
[GCC 4.3.3]

Python path:['/usr/share/qgis/python', '/home/labo/.qgis//python/plugins', '/usr/share/qgis/python/plugins', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/dist-packages', '/usr/lib/python2.6/dist-packages/Numeric', '/usr/lib/python2.6/dist-packages/PIL', '/usr/lib/python2.6/dist-packages/gst-0.10', '/var/lib/python-support/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0', '/var/lib/python-support/python2.6/gtk-2.0', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode', '/usr/local/lib/python2.6/dist-packages', '/usr/share/qgis/python/plugins/fTools/tools', '~/.qgis/python']"

The error message window is not closing except I close QGIS.
How could I manage this problem?

History

#1 Updated by Giovanni Manghi about 10 years ago

Hi,
what version of qgis did you used?

Can you attach here the raster that is giving you problems?

#2 Updated by Borys Jurgiel about 10 years ago

This is because the Value Tool plugin doesn't support non-ascii characters occurring in the name or path of your file. So no more details are necessary ;-)

I'm contact the author to correct this issue. Please temporarily disable the plugin in the Plugin Manager if this message is annoying.

#3 Updated by Giovanni Manghi about 10 years ago

  • Resolution set to fixed
  • Status changed from Open to Closed

Seems that the plugin has been updated and now works fine. Reopen if necessary.

Also available in: Atom PDF